/**
 * A simple User model
 */
export interface MyUser {
    id: string;
    username?: string;
    firstName?: string;
    lastName?: string;
    password?: string;
    email?: string;
    token?: string;
    signingKey: string;
}
/**
 * Repository to store and access user objects
 */
export declare class UserRepository {
    readonly list: Record<string, MyUser>;
    constructor(list: Record<string, MyUser>);
    /**
     * find by username
     * @param username
     */
    find(username: string): MyUser[];
    /**
     * find by id
     * @param id
     */
    findById(id: string): MyUser | undefined;
    /**
     * create profile for external user
     * @param user
     */
    createExternalUser(user: MyUser): void;
}
/**
 * Sample data to mock existing registered users
 * new users can be registered with the repository functions
 */
declare const userRepository: UserRepository;
export { userRepository };
